# Price Quotes



Fetch current conversion rates between CAD and supported stablecoins. Use price quotes to display accurate rates to users before they initiate a transaction.

## Supported tokens

<Tabs items={["USDC", "CADC"]}>
  <Tab value="USDC">
    | Token       | Network         |
    | ----------- | --------------- |
    | `USDC-ETH`  | Ethereum        |
    | `USDC-POLY` | Polygon         |
    | `USDC-ARB`  | Arbitrum        |
    | `USDC-OP`   | Optimism        |
    | `USDC-BASE` | Base            |
    | `USDC-AVAX` | Avalanche       |
    | `USDC-BSC`  | BNB Smart Chain |
    | `USDC-CELO` | Celo            |
    | `USDC-SOL`  | Solana          |
    | `USDC-SX`   | SX Network      |
  </Tab>

  <Tab value="CADC">
    | Token       | Network  |
    | ----------- | -------- |
    | `CADC-ETH`  | Ethereum |
    | `CADC-POLY` | Polygon  |
    | `CADC-ARB`  | Arbitrum |
    | `CADC-BASE` | Base     |
  </Tab>
</Tabs>

## Quick start

### Buying stablecoins (CAD to USDC)

```bash
curl "https://api.paytrie.com/priceQuote?leftSideLabel=CAD&leftSideValue=1000&rightSideLabel=USDC-ETH"
```

### Selling stablecoins (USDC to CAD)

```bash
curl "https://api.paytrie.com/priceQuote?leftSideLabel=USDC-ETH&leftSideValue=500&rightSideLabel=CAD"
```

### Example response

```json
{
  "quoteId": 337362,
  "cadusd": 1.4015,
  "leftSideLabel": "CAD",
  "leftSideValue": "1000",
  "rightSideLabel": "USDC-ETH",
  "rightSideValue": "708.98",
  "fee": 5.00,
  "ethGasFee": 0.375,
  "gasId": 186324
}
```

<Card title="API Reference: Get Price Quote" href="/docs/api-reference/quotes/getPriceQuote" icon="arrow-right-left">
  View complete request parameters and response schema
</Card>

## Using quotes in transactions

When creating a transaction, include the `quoteId` and `gasId` to lock in the quoted rate:

```bash
curl -X POST "https://api.paytrie.com/transaction" \
  -H "x-api-key: your-api-key" \
  -H "Authorization: Bearer user-jwt-token" \
  -H "Content-Type: application/json" \
  -d '{
    "leftSideLabel": "CAD",
    "leftSideValue": 1000,
    "rightSideLabel": "USDC-ETH",
    "wallet": "0x742d35Cc6634C0532925a3b844Bc9e7595f8bC3a",
    "quoteId": 337362,
    "gasId": 186324
  }'
```

<Callout type="warn">
  Quote rates are time-sensitive. If too much time passes between getting a quote and creating a transaction, the rate may change.
</Callout>
